(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.1'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[      3709,        114]*)
(*NotebookOutlinePosition[      4353,        136]*)
(*  CellTagsIndexPosition[      4309,        132]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Visualizing Sparse Matrices", "Subtitle"],

Cell["\<\
This notebook demonstrates sparse matrix connectivity of a 76480 node sparse \
matrix using GraphPlot. The dataset was obtained from the following \
source:Braaten,M.E.and Shyy,W.,\"Comparison of Iterative and Direct Solution \
Methods for Viscous Flow Calculations in Body-Fitted Coordinates,\" \
Inter.J.Numer.Meths.in Fluids,vol 6,pp.325-349,1986.
http://www.cise.ufl.edu/research/sparse/HBformat/Shyy/\
\>", "Text"],

Cell["\<\
First, we import the sparse array datset in the Harwell-Boeing format.  This \
assumes the file is in the same directory as the notebook.\
\>", "Text"],

Cell[BoxData[
    \(\(SetDirectory[
        ToFileName[\(("\<FileName\>" /. 
                NotebookInformation[
                  EvaluationNotebook[]])\)[\([1]\)]]];\)\)], "Input"],

Cell[BoxData[
    \(\(data = Import["\<shyy161.rua\>", "\<HarwellBoeing\>"];\)\)], "Input"],

Cell["Next, we load the GraphPlot package.", "Text"],

Cell[BoxData[
    \(<< DiscreteMath`GraphPlot`\)], "Input"],

Cell[CellGroupData[{

Cell["2D GraphPlot", "Section"],

Cell["\<\
By default, vertices are drawn.  Due the large size of this dataset, veritces \
would make the mesh appear so dense, that you would be unable to see the fine \
structure.  To prevent this, GraphPlot is called with the appropriate \
VertexStyleFunction so that verttices are not drawn.  Still, a large \
ImageSize is required so that the fine mesh can be resolved.\
\>", "Text"],

Cell[BoxData[
    \(\(GraphPlot[data, VertexStyleFunction \[Rule] \(({} &)\), 
        ImageSize \[Rule] 2125];\)\)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["3D GraphPlot", "Section"],

Cell["\<\
This code is nearly identical to the 2D case, but is done in 3D.\
\>", "Text"],

Cell[BoxData[
    \(\(GraphPlot3D[data, VertexStyleFunction \[Rule] \(({} &)\), 
        ImageSize \[Rule] 2125];\)\)], "Input"]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"5.1 for Microsoft Windows",
ScreenRectangle->{{0, 1280}, {0, 941}},
WindowSize->{1255, 913},
WindowMargins->{{0, Automatic}, {Automatic, 0}}
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 47, 0, 51, "Subtitle"],
Cell[1826, 55, 429, 7, 71, "Text"],
Cell[2258, 64, 161, 3, 33, "Text"],
Cell[2422, 69, 183, 4, 30, "Input"],
Cell[2608, 75, 91, 1, 30, "Input"],
Cell[2702, 78, 52, 0, 33, "Text"],
Cell[2757, 80, 59, 1, 30, "Input"],

Cell[CellGroupData[{
Cell[2841, 85, 31, 0, 73, "Section"],
Cell[2875, 87, 387, 6, 52, "Text"],
Cell[3265, 95, 126, 2, 30, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3428, 102, 31, 0, 73, "Section"],
Cell[3462, 104, 88, 2, 33, "Text"],
Cell[3553, 108, 128, 2, 30, "Input"]
}, Open  ]]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

